Remove org member
curl --request DELETE \
--url https://api.omnara.com/v1/orgs/{orgID}/members/{userID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.omnara.com/v1/orgs/{orgID}/members/{userID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.omnara.com/v1/orgs/{orgID}/members/{userID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "internal_error"
}Organizations and Projects
Remove org member
Removes the user’s organization membership and all project memberships in the organization. The member’s personal secrets and skills in the organization are deleted with the membership. Removal is blocked when the user is the organization’s last owner, while a personal skill is referenced by an active agent’s configuration, or while a personal secret is referenced by a model provider config, machine pool, or integration install.
DELETE
/
orgs
/
{orgID}
/
members
/
{userID}
Remove org member
⌘I